rem =====================================
rem MAP Launcher Batch File v1.0
rem Feel free to use in your own programs
rem =====================================

echo off
cls
echo Map Launcher Batch File v1.0 by Mike Shaw
rem  modified for 2121 A.D. by Bob Masters
echo =============================================
echo.
echo Scanning for necessary files...

if not exist 2121AD.map echo Can't find 2121AD.map
if not exist 2121AD.con echo Can't find 2121AD.con
if not exist 2121AD.art echo Can't find 2121AD.art

echo.
echo Backing up original files

if exist game.con      copy /y game.con gam2121t.con
if exist Tiles014.art  copy /y Tiles014.art Til2121t.art

echo Done.
echo.
echo Initializing new files

copy /y 2121AD.con game.con
copy /y 2121AD.art Tiles014.art

echo Done.
echo.
duke3d -map 2121AD.map
cls
echo off

echo Deleting temporary versions of files

erase game.con
erase Tiles014.art

echo Restoring original files

if exist gam2121t.con  ren gam2121t.con game.con
if exist Til2121t.art  ren Til2121t.art Tiles014.art

echo Done.
